%define debug_package          %{nil}

Name:           elixir
Version:        1.3.4
Release:        %mkrel 2
Summary:        A modern approach to programming for the Erlang VM

Group:          Development/Erlang
# See LEGAL (provided by upstream) for explaination/breakdown.
License:        ASL 2.0 and ERPL
URL:            http://elixir-lang.org/

Source0:        https://github.com/elixir-lang/elixir/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  erlang-rebar
BuildRequires:  git
Requires: erlang-compiler
Requires: erlang-crypto
Requires: erlang-erts
Requires: erlang-inets
Requires: erlang-kernel
Requires: erlang-parsetools
Requires: erlang-public_key
Requires: erlang-stdlib
Requires: erlang-tools


%description
Elixir is a programming language built on top of the Erlang VM.
As Erlang, it is a functional language built to support distributed,
fault-tolerant, non-stop applications with hot code swapping.

%prep
%setup -q
sed -i -e "s/time //g" Makefile
find -name '*.bat' -exec rm \{\} \;

# This contains a failing test. We want `make test` for most tests, but
# this deals with ANSI codes which rpmbuild strips.
rm lib/elixir/test/elixir/io/ansi_test.exs

%build
%{rebar_compile}

%check
export LANG="en_US.UTF-8"
%{rebar_eunit}

%install
mkdir -p %{buildroot}/%{_datadir}/%{name}/%{version}
cp -ra bin lib %{buildroot}/%{_datadir}/%{name}/%{version}

mkdir -p %{buildroot}/%{_bindir}
ln -s %{_datadir}/%{name}/%{version}/bin/{elixir,elixirc,iex,mix} %{buildroot}/%{_bindir}/

%files
%doc LICENSE
%{_bindir}/elixir
%{_bindir}/elixirc
%{_bindir}/iex
%{_bindir}/mix
%{_datadir}/%{name}



%changelog
* Fri Nov 18 2016 neoclust <neoclust> 1.3.4-2.mga6
+ Revision: 1068128
- Do not make noarch

* Thu Nov 17 2016 neoclust <neoclust> 1.3.4-1.mga6
+ Revision: 1068009
- New version 1.3.4

* Mon Jul 18 2016 neoclust <neoclust> 1.2.4-3.mga6
+ Revision: 1042449
- Rebuild for armv5

* Sat May 07 2016 neoclust <neoclust> 1.2.4-2.mga6
+ Revision: 1010477
- Do not make it noarch

* Fri May 06 2016 neoclust <neoclust> 1.2.4-1.mga6
+ Revision: 1009823
- imported package elixir

